Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.actions
Class OWLModelActionManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.actions.OWLModelActionManager

    public class OWLModelActionManager

extends Object

A singleton managing the available OWLModelActions. This can be used to populate menubars and toolbars for various platforms.

Author:
  Holger Knublauch

Nested Class Summary
`static interface` | `OWLModelActionManager.Adder`

Constructor Summary
`OWLModelActionManager()`

Method Summary
`static void` | `addOWLModelActionsToMenubar(OWLModel owlModel, OWLModelActionManager.Adder adder)`
`static void` | `addOWLModelActionsToToolbar(OWLModel owlModel, OWLModelActionManager.Adder adder)`
`static OWLModelAction` | `getOWLModelAction(Class clazz)`
`static Class[]` | `getOWLModelActionClasses()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLModelActionManager

    public OWLModelActionManager()

Method Detail

### addOWLModelActionsToMenubar

    public static void addOWLModelActionsToMenubar(OWLModel owlModel,
                                                   OWLModelActionManager.Adder adder)

### addOWLModelActionsToToolbar

    public static void addOWLModelActionsToToolbar(OWLModel owlModel,
                                                   OWLModelActionManager.Adder adder)

### getOWLModelAction

    public static OWLModelAction getOWLModelAction(Class clazz)

### getOWLModelActionClasses

    public static Class[] getOWLModelActionClasses()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.